Skip to main content
POST
Increase Budget Allocation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

epoch
integer<int64>
required

Unix epoch timestamp Unix timestamp (seconds).

Example:

1619740800

checksum
string
required

Refer to checksum calculation

Body

application/json

Request body for increasing the Send Limit.

amount
number
required

1 for RM 1

Example:

0

Response

Successful response

A Send Limit entry that records a balance change on your CHIP Send account.

amount
number
required

1 for RM 1

Example:

0

id
integer<int64>
read-only
Example:

1

currency
enum<string>
  • MYR: Ringgit Malaysia (RM)
Available options:
MYR
Example:

"MYR"

fee_type
enum<string>
Available options:
flat,
percentage
Example:

"flat"

transaction_type
enum<string>
Available options:
in,
out
Example:

"out"

fee
number
read-only

1 for RM 1

Example:

1

net_amount
number
read-only

-1 for -RM 1

Example:

-1

from_settlement
string<date>
read-only
Example:

"2023-07-21"

status
enum<string>

Status will remain pending until all approvers have approved the send limit increase request.

Available options:
pending,
approved,
expired
Example:

"success"

approvals_required
integer
read-only

Number of approvals required before processing.

Example:

0

approvals_received
integer
read-only

Number of approvals received so far.

Example:

0

created_at
string<date-time>
read-only

Object creation time in UTC

updated_at
string<date-time>
read-only

Object updated time in UTC